"""polls

Revision ID: 3f6e36ee74c3
Revises: 5945d8081a95
Create Date: 2018-04-23 23:14:37.759728

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3f6e36ee74c3'
down_revision = '5945d8081a95'
branch_labels = ()
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('polls_polls',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('post_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['post_id'], ['posts.id'], name=op.f('fk_polls_polls_post_id_posts')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_polls_polls'))
    )
    op.create_table('polls_options',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('poll_id', sa.Integer(), nullable=False),
    sa.Column('text', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['poll_id'], ['polls_polls.id'], name=op.f('fk_polls_options_poll_id_polls_polls')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_polls_options'))
    )
    op.create_table('polls_association',
    sa.Column('option_id', sa.Integer(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['option_id'], ['polls_options.id'], name=op.f('fk_polls_association_option_id_polls_options')),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], name=op.f('fk_polls_association_user_id_users'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('polls_association')
    op.drop_table('polls_options')
    op.drop_table('polls_polls')
    # ### end Alembic commands ###
